On Tue, 13 May 2008 09:14:54 +0100 Glyn Millington wrote:

> FreeBSD 7.0 release, ports currently up-to-date
> Trying to launch Linux Open Office 2.4 I get the following error message

> ,----
> | /usr/compat/linux/opt/openoffice.org2.4/program/soffice.bin: error while
> | loading shared libraries: /usr/local/lib/libXext.so.6: ELF file OS ABI
> | invalid
> `----

> Now I *think*   that what it ought to load is 
> /usr/compat/linux/usr/X11R6/lib/libXext.so.6
> but it goes for the FreeBSD X extension lib instead.
> Can anyone help me to fix this?

Please, show an output for:
-----
% uname -a
% pkg_info -xI 'linux'
% strings /compat/linux/etc/ld.so.cache | grep libXext
% echo ${LD_LIBRARY_PATH}
% sysctl -a | grep linux
-----

As well as 'cat <your openoffice script>' if it's not very long. If it
is long then please give an URL to that file.


-- 
WBR, bsam
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to